- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS

- Display of algorithm names

- COPYRIGHT

# NAME

openssl-list - list algorithms and features

# SYNOPSIS

openssl list [-help] [-verbose] [-1] [-commands] [-digest-commands] [-digest-algorithms] [-kdf-algorithms] [-mac-algorithms] [-cipher-commands] [-cipher-algorithms] [-public-key-algorithms] [-public-key-methods] [-engines] [-disabled] [-objects] [-options command]

# DESCRIPTION

This command is used to generate list of algorithms or disabled features.

# OPTIONS

-help

  Display a usage message.

-verbose

  Displays extra information. The options below where verbosity applies say a bit more about what that means.

-1

  List the commands, digest-commands, or cipher-commands in a single column. If used, this option must be given first.

-commands

  Display a list of standard commands.

-digest-commands

  Display a list of message digest commands, which are typically used as input to the openssl-dgst(1) or openssl-speed(1) commands.

-cipher-commands

  Display a list of cipher commands, which are typically used as input to the openssl-dgst(1) or openssl-speed(1) commands.

-digest-algorithms, -kdf-algorithms, -mac-algorithms, -cipher-algorithms

  Display a list of cipher, digest, kdf and mac algorithms. See Display of algorithm names for a description of how names are displayed.

  In verbose mode, the algorithms provided by a provider will get additional information on what parameters each implementation supports.

-public-key-algorithms

  Display a list of public key algorithms, with each algorithm as a block of multiple lines, all but the first are indented.

-public-key-methods

  Display a list of public key method OIDs.

-engines

  Display a list of loaded engines.

-disabled

  Display a list of disabled features, those that were compiled out of the installation.

-objects

  Display a list of built in objects, i.e. OIDs with names. They're listed in the format described in config(5)/ASN1 Object Configuration Module.

-options command

  Output a two-column list of the options accepted by the specified command. The first is the option name, and the second is a one-character indication of what type of parameter it takes, if any. This is an internal option, used for checking that the documentation is complete.

## Display of algorithm names

Algorithm names may be displayed in one of two manners:

Legacy implementations

  Legacy implementations will simply display the main name of the algorithm on a line of its own, or in the form `<foo` bar>> to show that `foo` is an alias for the main name, `bar`

Provided implementations

  Implementations from a provider are displayed like this if the implementation is labeled with a single name:

       foo @ bar

  or like this if it's labeled with multiple names:

       { foo1, foo2 } @bar

  In both cases, `bar` is the name of the provider.

# COPYRIGHT

Copyright 2016-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.